package com.huimv.env.common.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.huimv.env.common.dao.entity.EnvDeviceRegisterEntity;
import com.huimv.env.common.dao.entity.EnvSprayStatusEntity;
import com.huimv.env.common.dao.repo.EnvSprayStatusEntityRepo;
import com.huimv.env.common.service.ISprayStatusService;
import com.huimv.env.common.utils.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Date;
import java.sql.Timestamp;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class SprayStatusServiceImpl implements ISprayStatusService {
    @Autowired
    private EnvSprayStatusEntityRepo sprayStatusEntityRepo;
    @Autowired
    private DateUtil dateUtil;

    @Override
    public void saveSprayStatusFlow(JSONObject dataJo, EnvDeviceRegisterEntity envDeviceRegisterEntity, Timestamp nowTimestamp, Date todayDate, String farmCode) {
        EnvSprayStatusEntity envSprayStatusEntity = new EnvSprayStatusEntity();
        envSprayStatusEntity.setDeviceCode(dataJo.getString("deviceCode"));
        envSprayStatusEntity.setDeviceStatus(dataJo.getInteger("sprayStatus"));
        envSprayStatusEntity.setAskTime(dateUtil.handleAskTime(dataJo.getString("askTime")));
        envSprayStatusEntity.setAddTime(nowTimestamp);
        envSprayStatusEntity.setAddDate(todayDate);
        envSprayStatusEntity.setPigpenId(envDeviceRegisterEntity.getPigpenId());
        envSprayStatusEntity.setUnitId(envDeviceRegisterEntity.getUnitId());
        envSprayStatusEntity.setFarmCode(farmCode);
        sprayStatusEntityRepo.saveAndFlush(envSprayStatusEntity);
    }
}
