package com.huimv.env.manage.service.impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.huimv.env.manage.entity.EnvAmmonia;
import com.huimv.env.manage.entity.EnvHumi;
import com.huimv.env.manage.entity.EnvTemp;
import com.huimv.env.manage.mapper.EnvAmmoniaMapper;
import com.huimv.env.manage.mapper.EnvHumiMapper;
import com.huimv.env.manage.mapper.EnvTempMapper;
import com.huimv.env.manage.service.IEnvHumiService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
@Service
public class EnvHumiServiceImpl extends ServiceImpl<EnvHumiMapper, EnvHumi> implements IEnvHumiService {
    @Autowired
    private EnvHumiMapper envHumiMapper;

    @Autowired
    private EnvTempMapper envTempMapper;

    @Autowired
    private EnvAmmoniaMapper envAmmoniaMapper;

    @Override
    public Result dataList(Map<String, String> paramMap) {
        String deviceCode = paramMap.get("deviceCode");
        String startTime = paramMap.get("startTime");
        String endTime = paramMap.get("endTime");
        if (StringUtils.isBlank(startTime)){
            startTime = DateUtil.format(DateUtil.beginOfDay(new Date()),"yyyy-MM-dd");
        }
        if (StringUtils.isBlank(endTime)){
            endTime = DateUtil.format(DateUtil.endOfDay(new Date()),"yyyy-MM-dd");
        }
        startTime = startTime+"00:00:00";
        endTime = endTime+"23:59:59";


        List<EnvAmmonia> envAmmonias = envAmmoniaMapper.selectList(new QueryWrapper<EnvAmmonia>().eq("device_code", deviceCode).between("ask_time", startTime, endTime));
        List<EnvHumi> envHumis = envHumiMapper.selectList(new QueryWrapper<EnvHumi>().eq("device_code", deviceCode).between("ask_time", startTime, endTime));
        List<EnvTemp> envTemps = envTempMapper.selectList(new QueryWrapper<EnvTemp>().eq("device_code", deviceCode).between("ask_time", startTime, endTime));

        Map<String,List> resultMap = new HashMap();
        resultMap.put("envAmmonias",envAmmonias);
        resultMap.put("envHumis",envHumis);
        resultMap.put("envTemps",envTemps);
        return new Result(ResultCode.SUCCESS,resultMap);
    }
}
